<?php
require("../adei.php");

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");


try {
    $req = new SERVERRequest($_GET);
    $dblist = $req->GetDatabaseList(REQUEST::LIST_WILDCARDED);

    if (!count($dblist)) $error = translate("No database is found");
} catch (ADEIException $ex) {
    $ex->logInfo(NULL, $reader?$reader:$req);
    $error = xml_escape($ex->getInfo());
}


echo "<?xml version=\"1.0\"?>\n";
if ($error) echo "<result><Error>$error</Error></result>";
else {
    echo "<result>";
    foreach ($dblist as &$val) {
	echo "<Value name=\"{$val['db_name_name']}\" value=\"{$val['db_name']}\"/>";
    }
    echo "</result>";
}

?>