<?php
require("../adei.php");

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

try {
    $req = new SOURCERequest($_GET);
    $list = $req->GetGroupList();

    if (!count($list)) $error = translate("No LogGroups is found");
} catch (ADEIException $ex) {
    $ex->logInfo(NULL, $reader?$reader:$req);
    $error = xml_escape($ex->getInfo());
}

echo "<?xml version=\"1.0\"?>\n";
if ($error) echo "<result><Error>$error</Error></result>";
else {
    echo "<result>";
    foreach ($list as &$val) {
	echo "<Value name=\"" . xml_escape($val['db_group_name']) . "\" value=\"{$val['db_group']}\"/>";
    }
    echo "</result>";
}

?>