<?php
require("../adei.php");

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

try {
    $req = new REQUEST();
    $list = $req->GetGroupList();

    if (!count($list)) $error = translate("No loggroups are defined");
} catch (ADEIException $ex) {
    $ex->logInfo(NULL, $reader?$reader:$req);
    $error = xml_escape($ex->getInfo());
}

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
if ($error) echo "<result><Error>$error</Error></result>";
else {
    echo "<result>";
    foreach ($list as $gid => &$ginfo) {
	echo "
	    <Value value=\"$gid\"
		db_server=\"{$ginfo['db_server']}\" 
		db_name=\"{$ginfo['db_name']}\"
		db_group=\"{$ginfo['db_group']}\"
		name=\"{$ginfo['name']}\"/>";
    }
    echo "</result>";
}
?>